Package org.codehaus.janino

# Class Java.MemberAnnotationTypeDeclaration

java.lang.Object
org.codehaus.janino.Java.AbstractTypeDeclaration
org.codehaus.janino.Java.InterfaceDeclaration
org.codehaus.janino.Java.MemberInterfaceDeclaration
org.codehaus.janino.Java.MemberAnnotationTypeDeclaration

All Implemented Interfaces:
  `Java.Annotatable`, `Java.AnnotationTypeDeclaration`, `Java.DocCommentable`, `Java.Locatable`, `Java.MemberTypeDeclaration`, `Java.NamedTypeDeclaration`, `Java.Scope`, `Java.TypeBodyDeclaration`, `Java.TypeDeclaration`

Enclosing class:
  `Java`

public static final class Java.MemberAnnotationTypeDeclaration extends Java.MemberInterfaceDeclaration implements Java.AnnotationTypeDeclaration
Representation of a member annotation type declaration, a.k.a. "nested annotation type declaration".

## Field Summary

### Fields inherited from class org.codehaus.janino.Java.InterfaceDeclaration

`constantDeclarations, extendedTypes, name`

### Fields inherited from class org.codehaus.janino.Java.AbstractTypeDeclaration

`anonymousClassCount, localClassCount`

## Constructor Summary

Constructors
Constructor
Description
`MemberAnnotationTypeDeclaration(Location location, String docComment, Java.Modifier[] modifiers, String name)`

## Method Summary

Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
`accept(Visitor.TypeBodyDeclarationVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.TypeBodyDeclarationVisitor` for the concrete `Java.TypeBodyDeclaration` type.
`<R, EX extends Throwable>
R`
`accept(Visitor.TypeDeclarationVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.TypeDeclarationVisitor` for the concrete `Java.TypeDeclaration` type.

### Methods inherited from class org.codehaus.janino.Java.MemberInterfaceDeclaration

`getAccess, getClassName, getDeclaringType, setDeclaringType`

### Methods inherited from class org.codehaus.janino.Java.InterfaceDeclaration

`addConstantDeclaration, getDocComment, getName, hasDeprecatedDocTag, toString`

### Methods inherited from class org.codehaus.janino.Java.AbstractTypeDeclaration

`addDeclaredMethod, addMemberTypeDeclaration, createAnonymousClassName, createLocalTypeName, getAnnotations, getEnclosingScope, getLocation, getMemberTypeDeclaration, getMemberTypeDeclarations, getMethodDeclaration, getMethodDeclarations, getModifiers, getOptionalTypeParameters, invalidateMethodCaches, setEnclosingScope, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.codehaus.janino.Java.Annotatable

`getAnnotations`

### Methods inherited from interface org.codehaus.janino.Java.AnnotationTypeDeclaration

`getModifiers`

### Methods inherited from interface org.codehaus.janino.Java.DocCommentable

`getDocComment, hasDeprecatedDocTag`

### Methods inherited from interface org.codehaus.janino.Java.Locatable

`getLocation, throwCompileException`

### Methods inherited from interface org.codehaus.janino.Java.NamedTypeDeclaration

`getName, getOptionalTypeParameters`

### Methods inherited from interface org.codehaus.janino.Java.Scope

`getEnclosingScope`

### Methods inherited from interface org.codehaus.janino.Java.TypeBodyDeclaration

`getModifiers`

### Methods inherited from interface org.codehaus.janino.Java.TypeDeclaration

`createAnonymousClassName, createLocalTypeName, getClassName, getMemberTypeDeclaration, getMemberTypeDeclarations, getMethodDeclaration, getMethodDeclarations`

## Constructor Details

### MemberAnnotationTypeDeclaration

public MemberAnnotationTypeDeclaration(Location location, @Nullable String docComment, Java.Modifier[] modifiers, String name)

## Method Details

### accept

@Nullable public <R, EX extends Throwable> R accept(Visitor.TypeDeclarationVisitor<R,EX> visitor) throws EX
Description copied from interface: `Java.TypeDeclaration`
Invokes the "`visit...()`" method of `Visitor.TypeDeclarationVisitor` for the concrete `Java.TypeDeclaration` type.

Specified by:
  `accept` in interface `Java.TypeDeclaration`
Overrides:
  `accept` in class `Java.MemberInterfaceDeclaration`
Throws:
  `EX`

### accept

@Nullable public <R, EX extends Throwable> R accept(Visitor.TypeBodyDeclarationVisitor<R,EX> visitor) throws EX
Description copied from interface: `Java.TypeBodyDeclaration`
Invokes the "`visit...()`" method of `Visitor.TypeBodyDeclarationVisitor` for the concrete `Java.TypeBodyDeclaration` type.

Specified by:
  `accept` in interface `Java.TypeBodyDeclaration`
Overrides:
  `accept` in class `Java.MemberInterfaceDeclaration`
Throws:
  `EX`